jQuery(function($){
	
	
	$("#GRID_presenciasHistoria").rup_grid({
		
		hasMaint: true,
		width: 865,
		url: "../presencia/presenciasTecnico",
		pagerName: "pagerHistoria",
		rowNum: "30",
		sortorder: "asc",
		sortname: "nombre",
		ondblClickRow : fncDetallePresencia,
		colNames: [
		    "idpresencia",
			"idtecnico",
			$.rup.i18n.app.nuevo.nombre,		
		    $.rup.i18n.app.GRID_cabeceras.desde,
		    $.rup.i18n.app.mensajesPresencia.por,
		    $.rup.i18n.app.GRID_cabeceras.hasta,
		    $.rup.i18n.app.mensajesPresencia.por
		],
		colModel: [
			{ name: "idpresencia",
				label: "idpresencia",
				index: "idpresencia",
				width: "1",
				editable: true,
				edittype: "text",
				hidden: true
			},
			{ name: "idtecnico",
				label: "idtecnico",
				index: "idtecnico",
				width: "1",
				editable: true,
				edittype: "text",
				hidden: true
			},
			{ name: "nombre",
				label: "nombre",
				index: "nombre",
				width: "150",
				editable: true,
				edittype: "text"
			},
			{ name: "fhdesde",
				label: "fhdesde",
				index: "fhdesde",
				width: "90",
				editable: true,
				edittype: "text",
				align: 'center'
			},
			{ name: "tipoPreDesde." + obtenerIdioma() + "tipopre",
				label: "tipoPreDesde." + obtenerIdioma() + "tipopre",
				index: "tipoPreDesde." + obtenerIdioma() + "tipopre",
				width: "100",
				editable: true,
				edittype: "text"
			},
			{ name: "fhhasta",
				label: "fhhasta",
				index: "fhhasta",
				width: "90",
				editable: true,
				edittype: "text",
				align: 'center'
			},
			{ name: "tipoPreHasta." + obtenerIdioma() + "tipopre",
				label: "tipoPreHasta." + obtenerIdioma() + "tipopre",
				index: "tipoPreHasta." + obtenerIdioma() + "tipopre",
				width: "100",
				editable: true,
				edittype: "text"
			}
        ]
		
	});
	
	$("#presencias").rup_maint({
		jQueryGrid: "GRID_presenciasHistoria",
		primaryKey: "idpresencia",
		modelObject: "Presencia",
		detailButtons: $.rup.maint.detailButtons.SAVE,
		searchForm: "searchForm",
		showMessages: true,
		toolbar: {
			createDefaultToolButtons:false
			}
				
	});
	$("#rup-maint_toolbar-presencias").hide();

	function obtenerIdioma(){
		var idioma="c";		
		if ($.rup_utils.capitalizedLang() =="Es") {	
			idioma = "c";
		} else idioma="e";
		return idioma;
		}

	
	/********************************* BOTON VOLVER  ****************************************************************/
	$("#bt_Volver").bind("click", volver);

	/********************************* BOTON EDITAR  ****************************************************************/
	$("#bt_editar").bind("click", fncDetallePresencia);

	

/*DIÁLOGO NUEVO TIPO INI*/
	
	var ventanaDialogoNuevoPresencia= $("#dialogoEditarPresencia").rup_dialog({
		type: jQuery.rup.dialog.DIV,
		autoOpen: false,
		id:"nuevoPresencia",
		modal: true,
		resizable: false,
		minWidth: 880,
		showLoading:true,
		title: $.rup.i18n.app.mensajesPresencia.presencia,
		close: function(event, ui) { $("#GRID_presenciasHistoria").rup_grid("reloadGrid"); }
	});
	
	function nuevoPresencia() {
		//Para abrirlo en el diálogo con un iFrame
		var ventanaIFrame ='../presencia/nuevo';
		document.getElementById("iframeEditarPresencia").src = ventanaIFrame;
		$("#dialogoEditarPresencia").rup_dialog("open");
	}
	

	$("#iframeNuevoPresencia").load(function (){ ;});	
	/*DIÁLOGO NUEVO Presencia FIN*/
	
	
	
	/* DIALOGO DETALLE */
	function fncDetallePresencia() {
	
		var ventanaDialogoDetallePresencia = $("#dialogoEditarPresencia").rup_dialog({
			type: jQuery.rup.dialog.DIV,
			autoOpen: false,
			id:"detallePresencia",
			modal: true,
			resizable: false,
			height: 700,
			minWidth: 880,
			showLoading:true,
			title: $.rup.i18n.app.nuevo.Presencia,
			close: function(event, ui) { $("#GRID_presenciasHistoria").rup_grid("reloadGrid"); }
		});
		
		 var id= $("#GRID_presenciasHistoria").rup_grid('getGridParam','selrow');
		 //alert(id);
		 var ret = $("#GRID_presenciasHistoria").rup_grid('getRowData',id); 
		 var idPresencia =ret.idpresencia;	 
		 var ventanaIFrame ="../presencia/modificar?idPresencia="+idPresencia;
	
		  document.getElementById("iframeEditarPresencia").src = ventanaIFrame;
			$("#dialogoEditarPresencia").rup_dialog("open");
		
		  $("#iframeEditarPresencia").load(function (){ ;});
	
		return false;
	}
	/* FIN DIALOGO DETALLE */

	
});

function cerrarIFrameNuevoPresencia() {
	if ($("#dialogoEditarPresencia").rup_dialog('isOpen')) {
		$("#dialogoEditarPresencia").rup_dialog('close');
		document.getElementById("iframeEditarPresencia").src = '';
	}
}

function volver() {
	history.back();	
}
